
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HTML5 播放器心得与小结 / iVAN</title>

    <meta name="description" content="HTML5 播放器心得与小结 随着 HTML5 的普及,越来越多视频网站使用 &lt;video&gt;&lt;/video&gt; 标签播放直播.点播内容(如下图所示).使用 &lt;video&gt; 的好处,主要以下两点. 可以直接在页面中播放,也就是所谓的&quot;区域播放&quot;,上半屏是视频播放,下半屏是其他内容,可以一边播放,一边看其他内容. 某些应用如微信朋友圈的 Webview 限制外部打开视频,这样要在微信推广的话,区域播放就迫切需要了. 尽管有以上好处,但是旧有的点解链接调用外部播放器打开视频的功 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">HTML5 播放器心得与小结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>随着 HTML5 的普及，越来越多视频网站使用 &lt;video&gt;&lt;/video&gt; 标签播放直播、点播内容（如下图所示）。使用 &lt;video&gt; 的好处，主要以下两点。</p>
<ul>
<li>可以直接在页面中播放，也就是所谓的“区域播放”，上半屏是视频播放，下半屏是其他内容，可以一边播放，一边看其他内容。</li>
<li>某些应用如微信朋友圈的 Webview 限制外部打开视频，这样要在微信推广的话，区域播放就迫切需要了。</li>
</ul>
<p>尽管有以上好处，但是旧有的点解链接调用外部播放器打开视频的功能还是有其价值的，因为：</p>
<ul>
<li>HTML5 Video 兼容性问题，对 &lt;video&gt; 不一定完整支持。这时，调用外部播放器作为一种向下兼容（fallback/polyfills）方案出现，在不支持的情况下，提示用户选择。</li>
<li>提示使用客户端打开（引导用户使用客户端）。</li>
</ul>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA0MjAxMDM0NTI2NDg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW1oaGJtZDRhVzR3T1E9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<h2>播放器功能</h2>
<p>HTML5 播放器是页面的播放器，通过浏览器提供的接口调用其功能。相当于客户端封装的播放器而言页面播放器的功能不算强大，但基本的播放需求还是可以满足的。</p>
<ul>
<li>width/height：高度、宽度，可设置百分比的相对单位进行页面自适应，兼容横、竖屏幕的切换。</li>
<li>poster：设置视频封面，可设置海报或截图（不过图片尺寸不好控制）。</li>
<li>autoplay/preload: 如果出现该属性，则视频在就绪后马上播放。对于免费的内容。可以立刻播放。否则用户点击了播放就跳到“订购”。如果自动播放会占用用户的流量 。</li>
<li>loop： 如果出现该属性，则当媒介文件完成播放后再次开始播放。</li>
<li>controls：如果出现该属性，则向用户显示控件，比如播放按钮、全屏。如果需要自定义播放器样式，可以设置该属性不去显示默认控件。利用浏览器 JavaScript 接口实现相应的功能。</li>
</ul>
<p>&lt;video&gt; 元素提供的方法如下（参见<a href="http://www.w3school.com.cn/jsref/dom_obj_video.asp" rel="external nofollow noreferrer">W3C School</a>）。</p>
<p>&lt;video&gt; 元素提供的属性如下。<br />&lt;video&gt; 元素提供的事件如下。</p>
<h2>兼容性测试</h2>
<p>关于浏览器自带播放器的兼容问题，详细可参见<a href="http://popotang.com/blog/web-mobile-player.html" rel="external nofollow noreferrer">《基于web网页视频播放常见问题》</a>,文中分析主要的原因如下。</p>
<blockquote><p>为什么有些安卓手机无法播放视频？ ……我们知道安卓播放跟厂商支持情况有关，其实前端 JS 这边对 &lt;video&gt; 标签的解析和 H264 的解码做不了什么实质的事情，我们只能尽量使用 HTML5 的 API 接口找到 hack 各种设备的方案，但关键还是看厂商支持情况，所以要在前端实现适配难度很大。<br />……<br />安卓由于严重的系统碎片化问题，导致不同的厂商、不同的浏览器对上述两种条件的支持各不相同，所以安卓没法简单的说到底是否支持 HTML5 播放，甚至同一个厂商的不同机型，其特点都不一样，我们遇到过单独支持 flash 的，单独支持 html5 的，或者二者都支持的，甚至还有都不支持的，另外还有明明实际上能使用 HTML5 播放但 API 又返回说不支持播放的。对此我们针对不同的 Android 设备和浏览器做了些矫正和强制判断，许多问题需要 Case by Case 去解决。</p></blockquote>
<p>当前我们不但希望使用 &lt;video&gt; 播放，而且需要可以半屏内区域播放，最好还是在不修改源情下进行。首先我测试结果如下表。</p>
<table>
<tbody>
<tr>
<td>机型</p>
</td>
<td rowspan="2">是否支持区域播放</p>
</td>
<td colspan="2">直播格式</p>
</td>
<td colspan="3">点播格式</p>
</td>
</tr>
<tr>
<td>视频格式</p>
</td>
<td>rtsp</p>
</td>
<td>m3u8</p>
</td>
<td>3gp</p>
</td>
<td>mp4</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>Android 2.24<br />
</td>
<td>No</p>
</td>
<td>Yes</p>
</td>
<td>No</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>Android 2.35<br />
</td>
<td>No</p>
</td>
<td>Yes</p>
</td>
<td>No</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>Android 4.0</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>Android 4.1</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>Android 4.2</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>Android 4.3</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>Android 4.4</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>iOS 6</p>
</td>
<td>No</p>
</td>
<td>No</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>iOS 7</p>
</td>
<td>No</p>
</td>
<td>No</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>iOS 8</p>
</td>
<td>No</p>
</td>
<td>No</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>WP 867<br />
</td>
<td>No</p>
</td>
<td>No</p>
</td>
<td>No</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
<tr>
<td>WP 8.18<br />
</td>
<td>Yes</p>
</td>
<td>No</p>
</td>
<td>No</p>
</td>
<td>Yes</p>
</td>
<td>Yes</p>
</td>
<td> </p>
</td>
</tr>
</tbody>
</table>
<p>这里根据上表，尝试总结如下几个方面。</p>
<ol>
<li>视频格式方面：一般安卓机型都支持 rtsp 格式，而m3u8 的话 Android 3.0 以后都支持。m3u8 是苹果推荐的格式，所以 iOS 都支持。点播的话，mp4 一般都支持（H264压缩算法）。</li>
<li>关于区域内播放视频，Android 2.2 不支持， Android 2.3 以后的版本支持。iPad 可以区域播放 iPhone 却不行。iPhone 有一种情况可以区域播放，就是在 Webview 中打开这个特性，仅限应用内的 Webview 使用，——这也就是朋友圈能够区域播放的原因。</li>
<li>对于实在不支持 &lt;video&gt; 的浏览器，可以在开始标签和结束标签之间放置文本内容，这样老的浏览器就可以显示出不支持该标签的信息。</li>
</ol>
<p>一般来讲，Android 版本越高，问题越少。即使浏览器可以使用 &lt;video&gt; 播放，在细节上也会遇到各种问题。下面具体说明。</p>
<h2>具体障碍</h2>
<p>以上讨论的是浏览器自带浏览器。实际使用过程中，使用国产的第三方 Webkit浏览器可能性会大一些，例如 UC、QQ浏览器等等——因此又可以把兼容性问题划分为自带浏览器的和第三方浏览器的。开发过程中遇到的具体如下。</p>
<ul>
<li>渲染问题，例如 QQ 浏览器，直播播放器播放时滚动会遮盖导航，UC 浏览器 &lt;video&gt;标签总是在前，设置 z-index 无效。</li>
<li>华为机器不能播放标清内容（RTSP 流）</li>
<li>QQ X5 内核浏览器需要直接写 m3u8，不能跳转方式指定。</li>
<li>小米1 video 标签失效（Android 4.1 默认浏览器），属于兼容性问题。</li>
<li>播放源地址，如果经过 HTTP 302 重定向跳转的话，低于 Android 4.4 的机器可能不能最终获取 m3u8/mp3/3gp 源地址。尤其对于直播的地址，因为需要鉴权、获取手机号码等流程，中间需要经过多次跳转，所以旧版的浏览器就不能播放了1。试比较以下 HTML 代码的写法：
<pre>&lt;!-- 通过 jsp 返回 m3u8 地址，这是间接的方式 --&gt;
&lt;video src="http://server/getLive.jsp"/&gt;
&lt;!-- 直接写出 m3u8 地址 --&gt;
&lt;video src="http://server/live.m3u8"/&gt; </pre>
<p>对此，我们暂时暴露最终源地址给前端 &lt;video&gt; 标签。不过这样带来潜在的一个问题（见下一点）。</li>
<li>因为源地址直接暴露了，所以对防盗链方面来说是有害而无利的。之所以之前的跳转获取源地址相对是安全点的，是因为那获取过程是间接的。——当然无论间接还是直接，终端还是晓得源地址的。</li>
<li>poster="img.jpg" 设置图片，不能 100% 自适应宽度。进而使用 video.background CSS 属性，但会有播放时背景不会消失的问题（Android 上）</li>
<li>iOS 7 Safari 不能使用 onclick 登记单击事件； iOS 8 无此问题</li>
<li>iOS 8 下如果设置播放源 src="" 为空的话，会向用户提示“不可播放”的图标；iOS 7 不会。这个情况是说用户没有权限播放的时候才会设置 src=“”。</li>
<li>综上三点问题所述，采用一层 &lt;img /&gt; 遮罩的做法，播放的时候才显示 video 标签。这步需要相关的  JavaScript 的编码。</li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 07:23:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e5%85%bc%e5%ae%b9%e6%80%a7/" title="兼容性">兼容性</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/html5/" title="HTML5">HTML5</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>HTML5 播放器心得与小结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2PB33p.html" rel="bookmark">jqm视频播放器&comma;html5视频播放器&comma;html5音乐播放器&comma;html5播放器&comma;video开发demo&comma;html5视频播放示例&comma;html5手机视频播放器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在论坛中看到了很多实用html5开发视频播放,音乐播放的功能,大部分都在寻找答案.因此我就在这里做一个demo,供大家相互学习.html5开发越来越流行了,而对于视频这一块也是必不可少的一部分.如何让你的网站占据优势,就要看你的功能和用户体验了.html5对video还是做了很多优惠的东西,我们使用起来很得心应手. 在过去 flash 是网页上最好的解决视频的方法,截至到目前还算是主流,像那些优酷之类的视频网站.虾米那样的在线音乐网站,仍然使用 flash 来提供播放服务.但是这种状况将会随			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Wgd4M.html" rel="bookmark">JWPlayer网页html5播放器使用实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				源代码也很简单  代码如下 复制代码 &lt;script type=&quot;text/javascript&quot; src=&quot;jwplayer.js&quot;&gt;&lt;/script&gt;     &lt;script type=&quot;text/javascript&quot;&gt;jwplayer.key=&quot;81vjyJmC9lEWkQfyQHKZt7Mk/8D5JBzm/lRadA==&quot;;&lt;/script&gt;   &lt;div id			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX29evb.html" rel="bookmark">分享10款最棒的免费HTML5视频播放器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近Web圈子里最让人激动地莫过于HTML5了,特别是HTML5视频,使用HTML5视频标签可以帮助我们解决困扰我们很长时间的网站视频插入问题. HTML5可以在没有flash的情况下播放视频.现在有很多的漂亮HTML5视频播放界面,包括控制元素,所以你不需要其它的东西来播放视频.这里我们 给大家介绍10款最好的免费HTML5播放器,希望大家能喜欢,支持我们,请给我们留言! The Free HTML5 Video Player 一个免费的开源的使用javascript开发的HTML5播放器.解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOxLab.html" rel="bookmark">HTML5 video标签（播放器）学习笔记（一）&colon;使用入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 HTML5 video标签(播放器)学习笔记(一):使用入门 近有在学习html5中video标签(播放器)的使用,这里做一些学习笔记,方便自己查阅和记录,本文是第一篇,将介绍的是使用该标签初始化该做的哪些工作. 网上的教程其实也不少了 w3cschool里面的最为简单而详细,那么这几介绍的是一些更为直接的应用. 本文目录: 1.使用标签 2.加上一些必要参数 3.自动播放或自动加载 4.规范播放器 第一步:使用标签 使用的方法很简单,就是一句代码: 代码如下: &lt;video&gt;&lt;/vi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB29jab.html" rel="bookmark">HTML5 video播放器全屏&lpar;fullScreen&rpar;方法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 HTML5 video播放器全屏(fullScreen)方法实例  首先来说,这个标题具有误导性,但这样设置改标题也是主要因为video使用的比较多 在html5中,全屏方法可以适用于很多html 元素,不仅仅是video 代码如下: &lt;!doctype html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot; /&gt; &lt;title&gt;全屏问题&lt;/title&gt; &lt;meta http-e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRylBBb.html" rel="bookmark">HTML5 video标签（播放器）学习笔记（二）&colon;播放控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTML5 video标签(播放器)学习笔记(二):播放控制 本文的目录: 1.获取影片总时长 2.播放.暂停 3.获取影片已播放时间和设置播放点 4.音量的获取和设置 第一.获取影片总时长 对播放器(video)操作,首先要得到的是影片的一些信息,其中一个就是总时长,除了内容以为,总时长也是第一时间要显示的.在对video进行操作的的前先给video标签添加一个ID,这样方便我们获取video元素 代码如下: &lt;video id=&quot;myVideo&quot; controls prelo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6YkEz.html" rel="bookmark">仿酷狗html5手机音乐播放器主要部分代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  HTML5作品,经测试,效果确定不错,遗憾的是只支持谷歌和苹果等以webkit核心的浏览器,网友体验的时候请使用谷歌等浏览器来运行,不然的话无法看到效果,不说了,看效果吧 复制代码 代码如下: 主要部分代码如下: function ZzxMusic(){ var aa={}; //模块设置 var setting = { newSong:{'target':'newSong','type':'1','firstCount':6,'Count':5}, songCharts:{'target'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRy6wqb.html" rel="bookmark">HTML5制作酷炫音频播放器插件图文教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  上图便是这个音频播放器的UI界面图,里面还隐藏了一个歌曲的播放列表.整个播放器的UI除了大背景的人像图和歌曲的星星评分使用了图片其他全部由CSS和font-face绘制而成,看上去有难度的地方就只有CD和打碟器的制作了,在歌曲播放时CD和打碟器都是具有动画交互效果的,这个在后面的部分会讲解到.点击播放器的CD可以打开播放列表噢~ 因为这一期的教程主要是为了展示Html5新增的&lt;audio&gt;标签和audio元素的Dom API的使用,所以播放器UI的绘制在这里就不详细解释了,有疑问的可以自行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mywkj5z.html" rel="bookmark">9款优秀的 HTML5 音乐播放器推荐</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在过去,在网页上播放的音频通常都是通过第三方插件来播放的,比如像Flash.QuickTime 和 Silverlight 等,但是基本上都没有统一的音频播放标准.而HTML5则是通过 audio 元素来提供在网页中嵌入音频的标准方法,下面推荐的9款HTML5音频播放器都是基于audio元素开发的,应该能够帮助用户在网页中轻松的嵌入音频. jPlayer jPlayer是一款基于jQuery的免费开源HTML5音频和视频播放插件,并且API简单,还支持自定义皮肤. →网站地址:http://jp			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmGglb.html" rel="bookmark" class="title">xml-opencv摄像头标定，不知道XML怎么输入</a>
					<div>
						问题描述 opencv摄像头标定,不知道XML怎么输入 用opencv samples里面的摄像头标定源文件,编译成功了,好像使用XML文件把图片调进去 &lt;?xml version=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0n40z.html" rel="bookmark" class="title">Photoshop绘制缝线风格的微信APP图标</a>
					<div>
						         本教程主要使用Photoshop绘制缝线风格的微信APP图标,整体的绘画立体效果很漂亮,喜欢的朋友让我们一起来学习吧.           注:更多精彩教程请关注三联photosho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaLZ2z.html" rel="bookmark" class="title">ASP&period;NET生成静态HTML源码示例&lpar;C&num;&rpar;</a>
					<div>
						tohtml.cs [生成静态页面核心类]:using System;using System.Data;using System.Configuration;using System.Web;usi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOj0kp.html" rel="bookmark" class="title">网站上线26天IP突破200后的感言</a>
					<div>
						网站上线了26天了,从一开始的每天在10几个IP徘徊到现在的每天都能超过200,这其中不知道经历了多少辛酸与泪水,也不知道有几个夜晚趴在电脑前熬夜地更新.到处发外链,只是为了每天能多得到那么几个IP, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnD4jb.html" rel="bookmark" class="title">Frame&amp;amp&semi;nbsp&semi;&amp;amp&semi;&amp;amp&semi;nbsp&semi;Table&amp;amp&semi;nbsp&semi;problem</a>
					<div>
						 采用frameset结构做了一套CMS,先上下分,后左右分,右下边main为内容区,这里主要就是大量table{width:100%}的数据list. main默认没有滚动条,一切都很正常. 当数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7rB6M.html" rel="bookmark" class="title">PS制作金属背景橙色艺术文字教程</a>
					<div>
						今天要做的是利用&quot;字体转换成矢量形状&quot;来制作Freestyle的字体教程,先讲一下我们将要用到的最主要的工具: 1.钢笔工具的路径(绘制基本的文本路径) 2.文字工具(打出我们想要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2Q3OM.html" rel="bookmark" class="title">PHP图像处理类库及演示分享</a>
					<div>
						  简单写了一个PHP的图像处理类库,虽然功能比较少,但是目前也没用到太高级的,以后用到了再填吧,或者哪位给点建议加上什么功能,或者有什么需求可以跟我说,我有时间加上,如果哪位对这个类库进行了扩展的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArkyZp.html" rel="bookmark" class="title">Excel去除图片背景的方法</a>
					<div>
						有时候我们为了美化表格需要给Excel中加入图片,但图片背景却和表格不太匹配,于是就需要去除图片背景.今天小编就教你在Excel2010中怎么去除图片背景. ①选择工作表中要去除背景的图片; ②单击功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze70gOM.html" rel="bookmark" class="title">Office2013Word模板怎么自定义</a>
					<div>
						  大家在使用Office2013制作Word模板的时候想要添加自己自定义的Word模板却不知道如何添加,只要把Word自定义的模板设定保存文件夹然后按照下面步骤操作就可以导入自定义Word模板了哦, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7yPjM.html" rel="bookmark" class="title">HDtune全零填充擦除教程</a>
					<div>
						  hd tune pro擦除功能使用会损坏硬盘数据吗? 擦除是将文件彻底去除,而不是仅在文件列表里去除,可以防止文件被恢复. 简单来说就是不打算要这个硬盘了,里面的数据全都要销毁,或者硬盘要给别人, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr32np.html" rel="bookmark" class="title">VC调用有关PID仿真COM组件的问题</a>
					<div>
						问题描述 VC调用有关PID仿真COM组件的问题 求大神只招!!!!我就是在MATLAB上编写了一个自适应模糊PID控制的仿真,现在把它COM化,然后在VC上设计一个界面,需要有关Kp0,Ki0,Kd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRl5xp.html" rel="bookmark" class="title">华硕副董事长：Q2利润率较Q1有所改善</a>
					<div>
						6月2日消息,据国外媒体报道,台湾华硕电脑公司副董事长曾锵声周二表示,与第一季度相比,公司第二季度利润率有所改善,电脑配件短缺状况正得到缓解.但曾锵声拒绝对公司利润率作详细说明. 华硕CEO沈振来4月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq86Lab.html" rel="bookmark" class="title">重磅！8大策略让你对抗机器学习数据集里的不均衡数据</a>
					<div>
						你是不是也经历过这样的事? 当你正在处理你的数据集的时候,你建立了一个分类模型并且它的精确度达到了90%,这时,你一定会想:这个结果太棒了!但是当你继续更深地挖掘数据时你会发现这个90%的精确度只是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrwAKM.html" rel="bookmark" class="title">centos 源码安装 code&colon;blocks方法和注意项</a>
					<div>
						 版本和组件要求:   1&gt; 系统:centos6.4   2&gt; wxWidegets 推荐版本: wxWidgets-3.0.1.tar.bz2   3&gt; codeblocks 推 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YEm5M.html" rel="bookmark" class="title">JQuery 常用积累（六）ZTree</a>
					<div>
						阅读目录 1. Ztree 主要的特点 2. Web 前端 3. Web 后端     Web 项目或多或少都会有涉及到什么人员职称树,菜单树,组织机构树......     历手三四个项目有大有小, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z2XNM.html" rel="bookmark" class="title">generator-ruby根据模板生成文件使用什么gem？</a>
					<div>
						问题描述 ruby根据模板生成文件使用什么gem? 有一些重复的代码 就是方法名 参数不一样 想用ruby自动生成 请问用什么gem呢? --UPDATE-- -(void)doUpdateUserI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRoXAb.html" rel="bookmark" class="title">两个 div 拖动同步</a>
					<div>
						问题描述 两个div一个拖动另一个一起移动 解决方案 解决方案二:你拖动div1的时候要改变div1的坐标吧?同时也改变div2的坐标不就行了解决方案三:引用楼主dyz2071的回复: 两个div一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7BEAM.html" rel="bookmark" class="title">javascript-判断是否为空！！！！！！</a>
					<div>
						问题描述 判断是否为空!!!!!! 比如说有文本框 有下拉框二级联动 但是要判断第一个文本框是否为空,如果为空下面的下拉框二级联动就无法执行 用jQuery或者js怎么写 要demo 谢谢了 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1d7kz.html" rel="bookmark" class="title">c&num;怎样才能同时选中若干个textbox中的内容</a>
					<div>
						问题描述 我自定义了一个控件uclinetext,其实就是用的textbox控件,动态向panel控件中添加若干个自定义的这个uclinetext,每个uclinetext显示不同的数据,每个ucli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgxX4b.html" rel="bookmark" class="title">RxJava 中的 Subscriptions 是怎样泄露内存的</a>
					<div>
						本文讲的是RxJava 中的 Subscriptions 是怎样泄露内存的, 关于 RxJava 已经有了很多很好的的教程文章.在使用 Android 框架时,它确实显著地简化了工作.然而需要注意,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRvl2p.html" rel="bookmark" class="title">Android关于listview点击item中某一个按钮把这个item置顶的问题</a>
					<div>
						问题描述 Android关于listview点击item中某一个按钮把这个item置顶的问题 大神告知我如何点击listview中item的某一个按钮·把相应的item进行置顶呢?或者说不用listv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKvoOz.html" rel="bookmark" class="title">com组件-c&num;开发的&period;net组件，可否在c&plus;&plus;builder下使用</a>
					<div>
						问题描述 c#开发的.net组件,可否在c++builder下使用 c#开发的.net组件,即自定义控件dll,可否用在c++builder开发环境中 解决方案 做成com或ocx吧:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq5eOb.html" rel="bookmark" class="title">WinXP下USB驱动开发&lpar;十&rpar;</a>
					<div>
						3.4.       其他说明 Ø       编译环境:Win XP Checked Build Environment/Win XP Free Build Environment Ø        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqorxb.html" rel="bookmark" class="title">java无法连接数据库，怎么解决</a>
					<div>
						问题描述 java无法连接数据库,怎么解决 Exception in thread &quot;main&quot; java.lang.ClassNotFoundException: sun.jdb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv7VJM.html" rel="bookmark" class="title">Visual Studio 2012 的控件属性说明</a>
					<div>
						问题描述 之前这下面的说明是中文的不知道怎么成了英文的了怎么解决啊 解决方案 解决方案二:安装下.netframework的语言包看看解决方案三:你是不是装了sp1?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWmglz.html" rel="bookmark" class="title">JavaEE7&plus;Websockets&plus;GlassFish4打造聊天室&lowbar;java</a>
					<div>
						在客户机和服务器之间建立单一的双向连接,这就意味着客户只需要发送一个请求到服务端,那么服务端则会进行处理,处理好后则将其返回给客户端,客户端则可以在等待这个时间继续去做其他工作,整个过程是异步的.在本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5vY0z.html" rel="bookmark" class="title">connectSocket&lpar;&rpar;&colon; 123&period;56&period;72&period;122error&colon; Connection timed out</a>
					<div>
						问题描述 登录失败,且失败日志如下:03-23 10:45:32.744: D/LoginActivity(617): EMClient.getInstance().login03-23 10:45: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmwkAz.html" rel="bookmark" class="title">unity3D，在我小米2上运行，中文显示不出来，但是在米4，和我华为上面运行能显示，这是为啥？</a>
					<div>
						问题描述 米4上运行的状态米2上运行的样子求答案 解决方案 解决方案二:不懂,这个你应该到移动开发那块去问吧--虽然unity3d可以用c#语法开发,或者说米2没你那个字库?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8larb.html" rel="bookmark" class="title">远程执行 Android 设备上的代码 【已翻译100&percnt;】&lpar;1&sol;2&rpar;</a>
					<div>
						&quot;你走进一个咖啡店坐下来.等咖啡的时候,你拿出你的智能手机开始玩一款你前些天下载的游戏.接着,你继续工作并且在电梯里收邮件.在你不知情下,有攻击者获取了公司网络的地址并且不断地感染你所有同事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKweZz.html" rel="bookmark" class="title">无线遥控在安防防盗中的作用</a>
					<div>
						随着科学技术的发展,近年来国内安防行业的发展突飞猛进,无线遥控器也在安防市场上应用而生,无线遥控器的应用在安防防盗中发挥着怎样的作用呢? 一.防盗报警设备的核心:防盗报警主机 防盗报警主机由:探测器. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
